﻿
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 14
VisualStudioVersion = 14.0.25420.1
MinimumVisualStudioVersion = 10.0.40219.1
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "SynchronizationLibrary", "SynchronizationLibrary\SynchronizationLibrary.vcxproj", "{0CF795AD-0DE4-4B90-AA81-303D63F59503}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "GeneralTestRWLock", "GeneralTestRWLock\GeneralTestRWLock.vcxproj", "{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestReadToWrite", "TestReadToWrite\TestReadToWrite.vcxproj", "{CE90CB4E-58C7-45F9-93CA-F51269897462}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "RecursiveTest", "RecursiveTest\RecursiveTest.vcxproj", "{DA791364-24BD-4141-8981-097D7620C8FF}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Debug|x64.ActiveCfg = Debug|x64
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Debug|x64.Build.0 = Debug|x64
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Debug|x86.ActiveCfg = Debug|Win32
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Debug|x86.Build.0 = Debug|Win32
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Release|x64.ActiveCfg = Release|x64
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Release|x64.Build.0 = Release|x64
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Release|x86.ActiveCfg = Release|Win32
		{0CF795AD-0DE4-4B90-AA81-303D63F59503}.Release|x86.Build.0 = Release|Win32
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Debug|x64.ActiveCfg = Debug|x64
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Debug|x64.Build.0 = Debug|x64
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Debug|x86.ActiveCfg = Debug|Win32
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Debug|x86.Build.0 = Debug|Win32
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Release|x64.ActiveCfg = Release|x64
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Release|x64.Build.0 = Release|x64
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Release|x86.ActiveCfg = Release|Win32
		{D4B3454C-8638-49F2-857F-2B8DBCC2E17D}.Release|x86.Build.0 = Release|Win32
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Debug|x64.ActiveCfg = Debug|x64
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Debug|x64.Build.0 = Debug|x64
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Debug|x86.ActiveCfg = Debug|Win32
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Debug|x86.Build.0 = Debug|Win32
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Release|x64.ActiveCfg = Release|x64
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Release|x64.Build.0 = Release|x64
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Release|x86.ActiveCfg = Release|Win32
		{CE90CB4E-58C7-45F9-93CA-F51269897462}.Release|x86.Build.0 = Release|Win32
		{DA791364-24BD-4141-8981-097D7620C8FF}.Debug|x64.ActiveCfg = Debug|x64
		{DA791364-24BD-4141-8981-097D7620C8FF}.Debug|x64.Build.0 = Debug|x64
		{DA791364-24BD-4141-8981-097D7620C8FF}.Debug|x86.ActiveCfg = Debug|Win32
		{DA791364-24BD-4141-8981-097D7620C8FF}.Debug|x86.Build.0 = Debug|Win32
		{DA791364-24BD-4141-8981-097D7620C8FF}.Release|x64.ActiveCfg = Release|x64
		{DA791364-24BD-4141-8981-097D7620C8FF}.Release|x64.Build.0 = Release|x64
		{DA791364-24BD-4141-8981-097D7620C8FF}.Release|x86.ActiveCfg = Release|Win32
		{DA791364-24BD-4141-8981-097D7620C8FF}.Release|x86.Build.0 = Release|Win32
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
EndGlobal
